Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 616797 - Wrong instructions for writing boot.iso to USB stick
Wrong instructions for writing boot.iso to USB stick
Status: CLOSED CURRENTRELEASE
Product: Fedora Documentation
Classification: Fedora
Component: install-guide (Show other bugs)
devel
All Linux
low Severity medium
: ---
: ---
Assigned To: Petr Bokoc
Ruediger Landmann
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-21 09:02 EDT by Alexander Todorov
Modified: 2013-07-29 11:29 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 568343
Environment:
Last Closed: 2013-07-29 11:29:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alexander Todorov 2010-07-21 09:02:05 EDT
+++ This bug was initially created as a clone of Bug #568343 +++

--- Additional comment from jlaska@redhat.com on 2010-03-29 23:10:06 EEST ---

(In reply to comment #14)
> (In reply to comment #13)
> ...
> > But I should note
> > that it seems using livecd-iso-to-disk in this manner is not a supported use of
> > livecd-tools according to livecd-tools maintainer.
> ...
> 
> The F12 installation guide documents the use of livecd-iso-to-disk here.
> AIUI, boot.iso and *netinst.iso are identical.
> 
> http://docs.fedoraproject.org/install-guide/f12/en-US/html-single/#sect-New_Users-Alternative_Boot_Methods    

Thanks for the link Steve.  The linked document only pertains to boot.iso (netinst.iso).  The livecd-tools maintainer, indicated that livecd-iso-to-disk is not supported for writing DVD media to a USB key for install.  We'll need to chase that down outside of this specific bug.
Comment 1 Alexander Todorov 2010-07-21 09:04:01 EDT
Fore Fedora 13 the docs still point out to using livecd-tools to write boot.iso to USB stick:

http://docs.fedoraproject.org/en-US/Fedora/13/html/Installation_Guide/ch04s05.html#sect-New_Users-Alternative_Boot_Methods

While for RHEL 6 (docs still in development) is says:

   1.
      Become root:

      su -

   2.
      Install the SYSLINUX bootloader on the USB storage device:

      syslinux /dev/sdX1

      where sdX is the device name.
   3.
      Create mount points for boot.iso and the USB storage device:

      mkdir /mnt/isoboot /mnt/diskboot

   4.
      Mount boot.iso:

      mount boot.iso /mnt/isoboot -o loop

   5.
      Mount the USB storage device:

      mount /dev/sdX1 /mnt/diskboot

   6.
      Copy the ISOLINUX files from the boot.iso to the USB storage device:

      cp /mnt/isoboot/isolinux/* /mnt/diskboot

   7.
      Use the isolinux.cfg file from boot.iso as the syslinux.cfg file for the USB device:

      grep -v local /mnt/isoboot/isolinux/isolinux.cfg > /mnt/diskboot/syslinux.cfg

   8.
      Unmount boot.iso:

      umount /mnt/isoboot

   9.
      Unmount the USB storage device:

      umount /mnt/diskboot


Not sure which one is correct but docs need to be updated.
Comment 2 Jack Reed 2011-10-24 01:04:04 EDT
Hi Alexander,

The procedure provided didn't end up in the RHEL 6 guide in that form, and the Fedora 16 guide will feature a variety of options to write boot.iso to USB:  livecd-tools, dd, and LiveUSBCreator, plus the procedure for UEFI-based systems.

The draft of this section is at http://docs.fedoraproject.org/en-US/Fedora_Draft_Documentation/0.1/html-single/Installation_Guide/index.html#Making_USB_Media (the UEFI-based system option is earlier, in section 3.3.1)

If a problem still remains with these procedures though, please let me know.

Cheers,

Jack
Comment 3 Karsten Wade 2011-12-13 22:46:54 EST
Removing myself for these bug components as I'm either no longer involved in that aspect of the project, or no longer care to watch this particular bug. Sorry if you are caught in a maelstrom of bug changes as a result!

Note You need to log in before you can comment on or make changes to this bug.